import { NgModule } from '@angular/core';
import { SynchronizerService } from './services/synchronizer.service';
import { CallDeciderService } from './services/call-decider.service';
import { JBPouchModule } from '@justbe-angular/jb-pouch';
import { InitialLoaderService } from './services/initial-loader.service';
import { JBStoreModule } from '@justbe-angular/jb-store';
import { ListHandlerService } from './services/response-handler/list-handler.service';
import { ObjectHandlerService } from './services/response-handler/object-handler.service';
import { DeltaLoaderService } from './services/delta-loader.service';
import { FreshLoaderService } from './services/fresh-loader.service';
import { ArrayUtilityService } from './services/array-utility.service';
import { ObjectUtilityService } from './services/object-utility.service';
import { ManagerService } from './services/manager.service';
import { PouchWrapperService } from './services/pouch-wrapper/pouch-wrapper.service';
import { BizobjectService } from './services/bizobject.service';
var JBSynchronizerModule = (function () {
    function JBSynchronizerModule() {
    }
    ;
    JBSynchronizerModule.decorators = [
        { type: NgModule, args: [{
                    declarations: [],
                    imports: [
                        JBPouchModule,
                        JBStoreModule
                    ],
                    entryComponents: [],
                    providers: [
                        SynchronizerService,
                        ManagerService,
                        InitialLoaderService,
                        CallDeciderService,
                        DeltaLoaderService,
                        FreshLoaderService,
                        ListHandlerService,
                        ObjectHandlerService,
                        ArrayUtilityService,
                        ObjectUtilityService,
                        PouchWrapperService,
                        BizobjectService
                    ],
                    exports: []
                },] },
    ];
    /** @nocollapse */
    JBSynchronizerModule.ctorParameters = function () { return []; };
    return JBSynchronizerModule;
}());
export { JBSynchronizerModule };
//# sourceMappingURL=jb-synchronizer.module.js.map