import { FunctionConfigModel } from "./function-config-model";
import { CustomConfigModel } from "./custom-config.model";
import { InitialLoaderModel } from "./initial-loader.model";
import { BizobjectModel } from "./bizobject.model";
export declare class SynchronizerConfigModel {
    constructor();
    name?: string;
    fresh: FunctionConfigModel;
    delta: FunctionConfigModel;
    type?: 'bizconcept' | 'bizobject' | 'child' | 'other';
    selector?: any;
    custom?: CustomConfigModel;
    initialLoader?: InitialLoaderModel;
    bizobject?: BizobjectModel;
    static build(obj: SynchronizerConfigModel): SynchronizerConfigModel;
    private static setCustom(obj, syncModel);
    private static setInitialLoader(obj, syncModel);
}
