import { SynchronizerConfigModel } from "../models/synchronizer-config.model";
import { PouchService } from "@justbe-angular/jb-pouch";
import { StoreService } from "@justbe-angular/jb-store";
import { ObjectUtilityService } from "./object-utility.service";
import { LoggerService } from "@justbe-angular/jb-pouch/services/logger.service";
export declare class BizobjectService {
    private pouchService;
    private storeService;
    private objectUtility;
    private loggerService;
    constructor(pouchService: PouchService, storeService: StoreService, objectUtility: ObjectUtilityService, loggerService: LoggerService);
    sync(configurations: SynchronizerConfigModel): void;
    private freshCall(configurations);
    private deltaCall(configurations);
    private getDatabaseName(configurations);
}
