import { Injectable } from "@angular/core";
import { PouchService } from "@justbe-angular/jb-pouch";
import { LoggerService } from "@justbe-angular/jb-pouch/services/logger.service";
var PouchWrapperService = (function () {
    function PouchWrapperService(pouchService, loggerService) {
        this.pouchService = pouchService;
        this.loggerService = loggerService;
    }
    ;
    PouchWrapperService.prototype.upsertDuo = function (name, duo) {
        this.pouchService.upsertDocument('duos', { _id: name, duo: duo }).subscribe(function (res) {
        }, function (err) {
        });
    };
    PouchWrapperService.prototype.getCp = function (name) {
        var _this = this;
        return this.pouchService.getDocument('cps', name).map(function (res) {
            return res.cp;
        }, function (err) {
            _this.loggerService.error([err]);
        });
    };
    PouchWrapperService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    PouchWrapperService.ctorParameters = function () { return [
        { type: PouchService, },
        { type: LoggerService, },
    ]; };
    return PouchWrapperService;
}());
export { PouchWrapperService };
//# sourceMappingURL=pouch-wrapper.service.js.map