import { SynchronizerConfigModel } from "../../models/synchronizer-config.model";
import { ObjectHandlerService } from "./object-handler.service";
import { PouchService } from "@justbe-angular/jb-pouch";
import { PouchWrapperService } from "../pouch-wrapper/pouch-wrapper.service";
import { LoggerService } from "@justbe-angular/jb-pouch/services/logger.service";
export declare class ListHandlerService {
    private pouchService;
    private objectHandler;
    private loggerService;
    private pouchWrapperService;
    constructor(pouchService: PouchService, objectHandler: ObjectHandlerService, loggerService: LoggerService, pouchWrapperService: PouchWrapperService);
    handle(listToBehandled: any, configurations: SynchronizerConfigModel, cp?: string): void;
    private looper(list, count, configurations);
    private saveCursorPointer(cp, configurations);
    private updateListDuo(configurations);
}
