import { FunctionConfigModel } from "./function-config-model";
import { CustomConfigModel } from "./custom-config.model";
import { InitialLoaderModel } from "./initial-loader.model";
var SynchronizerConfigModel = (function () {
    function SynchronizerConfigModel() {
    }
    ;
    SynchronizerConfigModel.build = function (obj) {
        var syncModel = new SynchronizerConfigModel();
        syncModel.name = obj.name;
        syncModel.delta = FunctionConfigModel.build(obj.delta);
        syncModel.fresh = FunctionConfigModel.build(obj.fresh);
        syncModel.type = obj.type;
        obj.selector ? syncModel.selector = obj.selector : '';
        obj.custom ? SynchronizerConfigModel.setCustom(obj, syncModel) : '';
        obj.initialLoader ? SynchronizerConfigModel.setInitialLoader(obj, syncModel) : '';
        return syncModel;
    };
    SynchronizerConfigModel.setCustom = function (obj, syncModel) {
        syncModel.custom = CustomConfigModel.build(obj.custom);
    };
    SynchronizerConfigModel.setInitialLoader = function (obj, syncModel) {
        syncModel.initialLoader = InitialLoaderModel.build(obj.initialLoader);
    };
    return SynchronizerConfigModel;
}());
export { SynchronizerConfigModel };
//# sourceMappingURL=synchronizer-config.model.js.map