import { SynchronizerConfigModel } from "../models/synchronizer-config.model";
import { CallDeciderService } from "./call-decider.service";
import { ArrayUtilityService } from "./array-utility.service";
import { ListHandlerService } from "./response-handler/list-handler.service";
import { ObjectUtilityService } from "./object-utility.service";
import { ObjectHandlerService } from "./response-handler/object-handler.service";
import { PouchService } from "@justbe-angular/jb-pouch";
export declare class BizconceptService {
    private arrayUtility;
    private callDeciderService;
    private listHandlerService;
    private objectUtility;
    private objectHandlerService;
    private pouchService;
    constructor(arrayUtility: ArrayUtilityService, callDeciderService: CallDeciderService, listHandlerService: ListHandlerService, objectUtility: ObjectUtilityService, objectHandlerService: ObjectHandlerService, pouchService: PouchService);
    sync(configurations: SynchronizerConfigModel): void;
    delta(configurations: SynchronizerConfigModel, respectiveDuoDucument: any): void;
    fresh(configurations: SynchronizerConfigModel): void;
}
