import { SynchronizerConfigModel } from "../models/synchronizer-config.model";
import { ListHandlerService } from "./response-handler/list-handler.service";
import { ObjectHandlerService } from "./response-handler/object-handler.service";
import { ArrayUtilityService } from "./array-utility.service";
import { ObjectUtilityService } from "./object-utility.service";
import { PouchWrapperService } from "./pouch-wrapper/pouch-wrapper.service";
import { LoggerService } from "@justbe-angular/jb-pouch/services/logger.service";
export declare class FreshLoaderService {
    private listHandlerService;
    private objectHandlerService;
    private arrayUtility;
    private objectUtility;
    private pouchWrapperService;
    private loggerService;
    constructor(listHandlerService: ListHandlerService, objectHandlerService: ObjectHandlerService, arrayUtility: ArrayUtilityService, objectUtility: ObjectUtilityService, pouchWrapperService: PouchWrapperService, loggerService: LoggerService);
    load(configurations: SynchronizerConfigModel): void;
}
