import { SynchronizerConfigModel } from "../models/synchronizer-config.model";
import { InitialLoaderService } from "./initial-loader.service";
import { CallDeciderService } from "./call-decider.service";
import { DeltaLoaderService } from "./delta-loader.service";
import { FreshLoaderService } from "./fresh-loader.service";
import { BizobjectService } from "./bizobject.service";
export declare class ManagerService {
    private initialLoaderService;
    private callDeciderService;
    private deltaLoaderService;
    private freshLoaderService;
    private bizobjectService;
    constructor(initialLoaderService: InitialLoaderService, callDeciderService: CallDeciderService, deltaLoaderService: DeltaLoaderService, freshLoaderService: FreshLoaderService, bizobjectService: BizobjectService);
    manage(configurations: SynchronizerConfigModel): void;
}
