import { SynchronizerConfigModel } from "../../models/synchronizer-config.model";
import { Observable } from "rxjs";
import { PouchService } from "@justbe-angular/jb-pouch";
import { StoreService } from '@justbe-angular/jb-store';
import { LoggerService } from "@justbe-angular/jb-pouch/services/logger.service";
export declare class ObjectHandlerService {
    private pouchService;
    private storeService;
    private logger;
    constructor(pouchService: PouchService, storeService: StoreService, logger: LoggerService);
    handle(objectToBehandled: any, configurations: SynchronizerConfigModel): Observable<{}>;
    private saveObject(objectToBehandled, configurations);
    private getSelector(configurations);
}
